webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.WebNavigationAction

Contents

- Description
- Types
- Enums
- Methods

Description

Access to the WebKit NavigationAction

Synopsis

- data WebNavigationAction
- class GObjectClass o => WebNavigationActionClass o
- data NavigationReason
  - = WebNavigationReasonLinkClicked
  - | WebNavigationReasonFormSubmitted
  - | WebNavigationReasonBackForward
  - | WebNavigationReasonReload
  - | WebNavigationReasonFormResubmitted
  - | WebNavigationReasonOther
- webNavigationActionGetButton :: WebNavigationActionClass self => self -> IO Int
- webNavigationActionGetModifierState :: WebNavigationActionClass self => self -> IO Int
- webNavigationActionGetOriginalUri :: WebNavigationActionClass self => self -> IO String
- webNavigationActionSetOriginalUri :: WebNavigationActionClass self => self -> String -> IO ()
- webNavigationActionGetReason :: WebNavigationActionClass self => self -> IO NavigationReason
- webNavigationActionSetReason :: WebNavigationActionClass self => self -> NavigationReason -> IO ()
- webNavigationActionGetTargetFrame :: WebNavigationActionClass self => self -> IO String

# Description

`WebNavigationAction` is used in signals to provide details about what led the navigation to happen. This includes, for instance, if the user clicked a link to start that navigation, and what mouse button was used.

# Types

data WebNavigationAction Source

class GObjectClass o => WebNavigationActionClass o Source

# Enums

data NavigationReason Source

Constructors

WebNavigationReasonLinkClicked |
WebNavigationReasonFormSubmitted |
WebNavigationReasonBackForward |
WebNavigationReasonReload |
WebNavigationReasonFormResubmitted |
WebNavigationReasonOther |

Instances

Enum NavigationReason |

# Methods

webNavigationActionGetButton :: WebNavigationActionClass self => self -> IO Int Source

Returns the DOM identifier for the mouse button used to click. DOM button values are 0, 1 and 2 for left, middle and right buttons. If the action was not initiated by a mouse click, returns -1.

webNavigationActionGetModifierState :: WebNavigationActionClass self => self -> IO Int Source

Returns a bitmask with the the state of the modifier keys.

webNavigationActionGetOriginalUri :: WebNavigationActionClass self => self -> IO String Source

Returns the URI that was originally requested. This may differ from the navigation target, for instance because of a redirect.

webNavigationActionSetOriginalUri :: WebNavigationActionClass self => self -> String -> IO ()Source

Sets the URI that was originally requested. This may differ from the navigation target, for instance because of a redirect.

webNavigationActionGetReason :: WebNavigationActionClass self => self -> IO NavigationReason Source

Returns the reason why WebKit is requesting a navigation.

webNavigationActionSetReason :: WebNavigationActionClass self => self -> NavigationReason -> IO ()Source

Sets the reason why WebKit is requesting a navigation.

webNavigationActionGetTargetFrame :: WebNavigationActionClass self => self -> IO String Source

Returns the target frame of the action.